summaryrefslogtreecommitdiffstats
path: root/desktop/spectrwm/examples/wifi_link_quality.sh
diff options
context:
space:
mode:
Diffstat (limited to 'desktop/spectrwm/examples/wifi_link_quality.sh')
-rw-r--r--desktop/spectrwm/examples/wifi_link_quality.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/desktop/spectrwm/examples/wifi_link_quality.sh b/desktop/spectrwm/examples/wifi_link_quality.sh
new file mode 100644
index 0000000000..30c189b0c3
--- /dev/null
+++ b/desktop/spectrwm/examples/wifi_link_quality.sh
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+
+wlan_int=wlan0
+
+/sbin/ip link show dev ${wlan_int} >/dev/null 2>&1 || exit 1
+/sbin/ip link show dev ${wlan_int} 2>&1 |fgrep -q -e"state DOWN" && exit 1
+
+LINK_QUALITY=$( /sbin/iwconfig "${wlan_int}" 2>&1 |fgrep -e'Link Quality' |tr -s ' ' |cut -d' ' -f3 |cut -d= -f2 )
+echo "{${LINK_QUALITY}}"